Bug 244392 - strace stuck in an endless loop of restarting syscall
Summary: strace stuck in an endless loop of restarting syscall
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-15 13:11 UTC by Tomas Janousek
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.6.21-1.3234.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 09:53:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Janousek 2007-06-15 13:11:59 UTC
Description of problem:
Attaching strace to e.g. cat results in an endless loop of:
read(0, 0x607000, 1024)                 = ? ERESTARTSYS (To be restarted)
read(0, 0x607000, 1024)                 = ? ERESTARTSYS (To be restarted)
read(0, 0x607000, 1024)                 = ? ERESTARTSYS (To be restarted)
read(0, 0x607000, 1024)                 = ? ERESTARTSYS (To be restarted)


Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3218.fc8 - bug reproducible
kernel-2.6.21-1.3221.fc8 - bug reproducible
kernel-2.6.21-1.3228.fc7 - works ok


Steps to Reproduce:
1. cat & fg
2. strace -p pid

  
Actual results:
read(0, 0x607000, 1024)                 = ? ERESTARTSYS (To be restarted)


Expected results:
read(0,
(and wait...)

Comment 1 Jan Kratochvil 2007-06-15 14:39:40 UTC
kernel-2.6.20-1.2960.rm1.fc6.x86_64 does not reproduce this behavior.


Comment 2 Roland McGrath 2007-06-17 04:08:05 UTC
This is a utrace interaction with 2.6.22 changes to signal magic.
I have a fix upstream.

Comment 3 Roland McGrath 2007-06-25 09:53:19 UTC
as of 2.6.21-1.3234.fc8 this works fine


Note You need to log in before you can comment on or make changes to this bug.